MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022829Community[OCCT] OCCT:Modeling Algorithmspublic2011-12-06 12:192014-11-12 09:51
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022829: Incorrect result of boolean Fuse operation
DescriptionPost from the Forum - http://www.opencascade.org/org/forum/thread_22294/. [^]
"Hello,

I used a boolean common and subtract to divide a torus into two parts. Then I tried to unite both part back into a torus. Here I attach both parts in brep file. Both my code calling BRepAlgoAPI_Fuse and Salome4.1.4 Fuse operation gives non-valid shape. I think it's a bug somewhere in BRepAlgoAPI_Fuse, or should I call other code to achieve my goal?

Thank you for your possible help on this!

Jane"
Steps To Reproducepload ALL
restore Solid_3.brep a
checkshape a
## Ok
restore Solid_7.brep b
checkshape b
## Ok
bop a b
bopfuse r
checkshape r
## ==> Not valid and incorrect shape.
TagsNo tags attached.
Test case numberbugs modalg_5 bug22829
Attached Fileszip file icon 22294.zip (610,211 bytes) 2011-12-06 12:19

- Relationships

-  Notes
(0032203)
abv (manager)
2014-09-26 10:50

Not reproduced on current master (vc10 win64), please add test case and close the issue
(0033866)
git (administrator)
2014-10-30 10:48

Branch CR22829 has been created by apn.

SHA-1: c0966a068367ea642952c169e4acb9687a9bbb1f


Detailed log of new commits:

Author: apn
Date: Thu Oct 30 10:47:50 2014 +0300

    0022829: Incorrect result of boolean Fuse operation
    
    Added test case bugs/modalg_5/bug22829
(0033867)
apn (administrator)
2014-10-30 10:48

Problem is not reproduced on current state of master on Windows and Debian60-64 in Release and Debug modes.
Branch CR22829 was created. It contains test case:
bugs modalg_5 bug22829 - OK
(0034281)
git (administrator)
2014-11-12 09:51

Branch CR22829 has been deleted by inv.

SHA-1: c0966a068367ea642952c169e4acb9687a9bbb1f

- Related Changesets
occt: master 2b111fe8
Timestamp: 2014-10-30 07:47:50
Author: apn
Committer: bugmaster
Details ] Diff ]
0022829: Incorrect result of boolean Fuse operation

Added test case bugs/modalg_5/bug22829
add - tests/bugs/modalg_5/bug22829 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-12-06 12:19 szy New Issue
2011-12-06 12:19 szy Assigned To => jgv
2011-12-06 12:19 szy File Added: 22294.zip
2012-01-12 09:36 abv Product Version 6.5.2 => 6.5.1
2012-10-23 18:41 abv Target Version 6.5.4 => 6.6.0
2013-03-01 21:32 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:27 abv Target Version 6.7.1 => 6.8.0
2014-09-26 10:50 abv Note Added: 0032203
2014-09-26 10:50 abv Assigned To jgv => bugmaster
2014-09-26 10:50 abv Status new => feedback
2014-09-26 14:08 bugmaster Assigned To bugmaster => apv
2014-10-20 11:58 bugmaster Assigned To apv => apn
2014-10-30 10:48 git Note Added: 0033866
2014-10-30 10:48 apn Note Added: 0033867
2014-10-30 10:49 apn Test case number => bugs modalg_5 bug22829
2014-10-30 10:49 apn Assigned To apn => bugmaster
2014-10-30 10:49 apn Status feedback => tested
2014-10-31 14:03 bugmaster Changeset attached => occt master 2b111fe8
2014-10-31 14:03 bugmaster Status tested => verified
2014-10-31 14:03 bugmaster Resolution open => fixed
2014-11-11 12:43 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed
2014-11-12 09:51 git Note Added: 0034281


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker